summaryrefslogtreecommitdiff
path: root/tests/setup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/setup')
-rwxr-xr-xtests/setup/examplegit4
-rwxr-xr-xtests/setup/http-git-check15
2 files changed, 18 insertions, 1 deletions
diff --git a/tests/setup/examplegit b/tests/setup/examplegit
index 88f6178..d25ee95 100755
--- a/tests/setup/examplegit
+++ b/tests/setup/examplegit
@@ -50,4 +50,6 @@ push-to master sid
git clean -xdff
-t-setup-done 'p v suitespecs majorv revision' "aq git mirror $p"
+t-setup-done 'v suitespecs majorv revision' "aq git mirror $p" "
+ t-select-package $p
+"
diff --git a/tests/setup/http-git-check b/tests/setup/http-git-check
new file mode 100755
index 0000000..0e3b7c2
--- /dev/null
+++ b/tests/setup/http-git-check
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies libhttp-server-simple-static-perl
+
+t-setup-done '' --files-from=/dev/null '
+ $troot/http-static-server >$tmp/must-clean/git-check.port $tmp/git
+ read <$tmp/must-clean/git-check.port git_check_port
+
+ t-git-config --global dgit-distro.test-dummy.git-check url
+ t-git-config --global dgit-distro.test-dummy.git-check-suffix .git/HEAD
+ t-git-config --global dgit-distro.test-dummy.git-check-url \
+ http://127.0.0.1:$git_check_port
+'